Q4API Docs
Q4 APISign inGet API key
DocumentationAPI Reference
Overview
API reference
Companies
GETList companiesGETRetrieve a companyGETList sectors
Market data
GETRetrieve a quoteGETList quotesGETRetrieve price historyGETRetrieve index historyGETRetrieve market summaryGETList market moversGETList sector performanceGETList tradesGETRetrieve order book depth
WebSocket
WSQuotes streamWSTrades streamWSDepth stream
Fundamentals
GETRetrieve standardised statementsGETRetrieve as-reported statementsGETList figuresGETRetrieve ratiosGETCompare companiesGETList dividendsGETList corporate actionsGETList stock eventsGETSearch notes
Documents
GETList documentsGETRetrieve a documentGETList document pagesGETRetrieve document textGETRetrieve document summaryGETList notesGETRetrieve a noteGETList sectionsGETRetrieve a sectionGETSearch board report sections
Earnings calls
GETList earnings callsGETRetrieve an earnings callGETRetrieve a transcriptGETRetrieve call audio
Announcements
GETList announcementsGETRetrieve an announcement
Economic data
GETList seriesGETList observations
Webhooks & alerts
POSTCreate a webhookGETList webhooksDELDelete a webhookPOSTCreate an alert ruleGETList alert rulesDELDelete an alert rule
Account
GETRetrieve usage
Economic data

List series

GEThttps://api.q4.sa/v1/economic/series
Lists the government statistics series we publish, by source and topic.
Business+

Authorization

x-api-keyheaderrequired
Your API key. See Authentication.

Query parameters

sourcestring
Publishing body.
One of:gastatsamatadawul
qstring
Search series titles in English or Arabic.
limitinteger
Results per page.
Default: 100 · Range: 1–500
cursorstring
The next_cursor from the previous page. Omit it for the first page.

Response

dataobject[]
The result.
keystring
title_enstring
Title in English.
title_arstring
Title in Arabic.
sourcestring
frequencystring
unitstring
first_periodstring
last_periodstring
dimensionsstring[]
paginationobject
Paging details. See Pagination.
next_cursorstring
Pass as cursor to get the next page. null on the last page.
limitinteger
Page size used.

Errors

400, 401, 403, 404, 429. Every error has the same shape: see Errors.
← Previous
Retrieve an announcement
Next →
List observations
Request
curl "https://api.q4.sa/v1/economic/series?source=gastat&q=inflation" \
  -H "x-api-key: $Q4_API_KEY"
Response
{
  "data": [
    {
      "key": "gastat.cpi.headline",
      "title_en": "Consumer price index, headline",
      "title_ar": "الرقم القياسي لأسعار المستهلك",
      "source": "gastat",
      "frequency": "monthly",
      "unit": "index (2023=100)",
      "first_period": "2013-01",
      "last_period": "2026-09",
      "dimensions": [
        "region"
      ]
    }
  ],
  "pagination": {
    "next_cursor": "eyJpZCI6MTIwfQ",
    "limit": 50
  }
}